Bug 246669 - status check count in queue is unbounded, but should be 1
Summary: status check count in queue is unbounded, but should be 1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-03 19:26 UTC by Lon Hohberger
Modified: 2009-04-16 20:35 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-1000
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 21:53:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Makes the status check have a max of 1 (1.09 KB, patch)
2007-07-03 19:26 UTC, Lon Hohberger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:1000 normal SHIPPED_LIVE rgmanager bug fix update 2007-11-29 14:44:31 UTC

Description Lon Hohberger 2007-07-03 19:26:25 UTC
Description of problem:

Rgmanager has a per-service operational queues.  In order to stop critical
operations (stop, start) from being held off for too long, there is supposed to
be a max of 1 'status' operation either in the queue or currently in progress
per service at any time.  This prevents long status checks from getting queued
over and over.

For example, if you have a 500 export NFS service, it can take literally 10
minutes to check the service.  This allows 10*10, or 100 status checks to be
queued up.  If you try to then reconfigure the service, it could wait for up to
all of those status checks to complete prior to the reconfiguration event
completing.

Comment 1 Lon Hohberger 2007-07-03 19:26:25 UTC
Created attachment 158472 [details]
Makes the status check have a max of 1

Comment 2 Lon Hohberger 2007-07-03 19:28:38 UTC
That is, if you have 500 exports and status checks are queued every 10 seconds
(whoops!), during the course of 1 status check, 10*6 or 60 status checks can be
queued up and waiting for the first status check to complete.

This will pause reconfiguration indefinitely.

Comment 3 Lon Hohberger 2007-07-31 18:27:07 UTC
Patch in RHEL4 cvs

Comment 6 errata-xmlrpc 2007-11-21 21:53:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1000.html



Note You need to log in before you can comment on or make changes to this bug.